%def_with xinit_workaround

%define ver 1.0.1
%define rel 3
%define Name Codeine
Name: codeine
%ifdef rel
Version: %ver.%rel
%else
Version: %ver
%endif
Release: alt2
Summary: Very simple xine-based media player
Summary(uk_UA.CP1251):   -,   xine
Summary(ru_RU.CP1251):   xine- -
License: GPL
Group: Video
URL: http://www.methylblue.com/%name
%ifdef rel
Source0: %url/%name-%ver-%rel.tar.bz2
%else
Source0: %url/%name-%version.tar.bz2
%endif
Source1: %name-uk.po.bz2
Source2: %name-ru.po.bz2
Patch0: %name-1.0-showosd.patch.gz
Patch1: %name-1.0.1-xinit_workaround.patch.gz

# Automatically added by buildreq on Fri Jul 14 2006
BuildRequires: flex fontconfig gcc-c++ ghostscript-utils kdelibs-devel
BuildRequires: libqt3-devel libxine-devel libXtst-devel python-modules
BuildRequires: python-modules-compiler python-modules-encodings
BuildRequires: tetex-latex scons swig

%description
%Name is a very simple xine-based media player.

%description -l uk_UA.CP1251
%Name -   -,   xine.

%description -l ru_RU.CP1251
%Name -   xine- -.


%prep
%setup -q -n %name-%ver
%patch0 -p1
%patch1 -p1
bzip2 -dc %SOURCE1 > po/uk.po
bzip2 -dc %SOURCE2 > po/ru.po


%build
%{?_with_xinit_workaround:%add_optflags -DXINIT_WKRND}
CFLAGS="%optflags" CXXFLAGS="%optflags" ./configure
mkdir build
%make_build
cd po
rm -f *.mo
for f in *.po; do
    msgfmt -o `basename $f .po`.mo $f
done


%install
DESTDIR=%buildroot make install
install -d -m 0755 %buildroot%_datadir/services
pushd doc
for Dir in *; do
    install -d -m 0755 %buildroot%_docdir/HTML/$Dir/%name
    install -m 0644 $Dir/* %buildroot%_docdir/HTML/$Dir/%name
    ln -sf %_docdir/HTML/$Dir/common %buildroot%_docdir/HTML/$Dir/%name/common
done
popd
pushd po
for f in *.mo; do
    install -pD -m 0644 $f %buildroot%_datadir/locale/`basename $f .mo`/LC_MESSAGES/%name.mo
done
popd
gzip --best --force --quiet --stdout -- ChangeLog > ChangeLog.gz

#menu
iconv -f cp1251 -t utf-8 > %buildroot%Kmenudir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Exec=%name %%u
Name=%Name
Icon=%name
Terminal=false
Type=Application
Comment=Very simple xine-based media player
Comment[ua]=  -,   xine
Comment[ru]=  xine- -
Categories=Qt;KDE;AudioVideo;Player
MimeType=video/x-theora;video/x-ogm;video/x-ms-wmv;video/x-msvideo;\
video/x-ms-asf;video/x-matroska;video/mpeg;video/avi;video/quicktime;\
video/vnd.rn-realvideo;video/x-flic;
GenericName=%Name Video Player
__MENU__

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc ChangeLog.* README
%_bindir/*
%_libdir/kde3/*
%_datadir/apps/%name
%_datadir/apps/konqueror/servicemenus/*
%_iconsdir/crystalsvg/*/apps/*
%_datadir/services/*
%Kmenudir/*
%ifndef _desktopdir
%_menudir/*
%endif


%changelog
* Fri Jul 14 2006 Led <led@altlinux.ru> 1.0.1.3-alt2
- added %name-1.0.1-xinit_workaround.patch (got idea from kaffeine)
- removed %name-1.0-args.patch
- fixed uk.po and ru.po
- fixed and cleaned up spec

* Sat Jun 03 2006 Led <led@altlinux.ru> 1.0.1.3-alt1
- 1.0.1-3
- updated uk.po and ru.po
- fixed spec

* Mon Mar 06 2006 Led <led@altlinux.ru> 1.0-alt1
- initial build
